Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version: 		1.0.4
Release:		%mkrel 13
License:		GPL
Group:			System/Servers
Epoch:			2

Source0:		http://unc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:		acpid.rc
Patch0:			acpid-kernel-acpi-h.patch
Patch1:			acpid-1.0.4-ignore-rpmnew.patch
Patch2:                 acpid-1.0.4-warning.patch
Patch3:			acpid-1.0.4-noclose.patch
URL:			http://acpid.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-buildroot
ExclusiveArch:		%{ix86} ia64 x86_64 amd64
Requires(post):		rpm-helper
Requires(preun):		rpm-helper
Conflicts: suspend-scripts < 1.27-2mdv2007.1

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep 
%setup -q
%patch -p1
%patch1 -p1 -b .rpmnew
%patch2 -p1
%patch3 -p1 -b .noclose

%build
%serverbuild
%make

cat > %{name}.logrotate <<EOF

/var/log/acpid {
    missingok
    compress
    postrotate
        service acpid reload
    endscript
}
EOF

%install
mkdir -p $RPM_BUILD_ROOT/%_sbindir
install -m755 acpid $RPM_BUILD_ROOT/%_sbindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man8
install -m644 acpid.8 $RPM_BUILD_ROOT/%_mandir/man8

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/acpid

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/
install -m644 %{name}.logrotate $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/%{name}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sbindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_initrddir}/acpid
%dir %{_sysconfdir}/acpi/actions


%changelog
* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 1.0.4-13mdv2007.0
+ Revision: 107423
- remove useless rm
- own /etc/acpi/actions
- do not require suspend-scripts
- bunzip2 sources
- Import acpid



* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-12mdk
- fix Requires post and preun
- fix typo in init script

* Sun Jan  8 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-11mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 2:1.0.4-10mdk
- Add parallel init stuff

* Wed Nov 15 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-9mdk
- restore init script fix that was dropped in 8mdk

* Thu Nov  3 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-8mdk
- don't close clients when reloading configuration. This will avoid
having the X server consuming 100% cpu...

* Tue Nov  2 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-7mdk
- fix init script (bugzilla #19576)

* Fri Aug 26 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-6mdk
- start at level 14 (before dm)

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2:1.0.4-5mdk
- Patch 2 : Fix Build with gcc4 ( fedora )
- mkrel 

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-4mdk
- fix the logrotate file 

* Sun Mar 13 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-3mdk
- add a logrotate file
- clean spec file

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 2:1.0.4-2mdk
- re-upload (1.0.4-1mdk got lost)

* Mon Feb 28 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- ignore .rpm{new,save} files in /etc/acpi/events (#13943, P1)

* Mon Apr 26 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- call battery.sh if present
- New release 1.0.3

* Thu Sep 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- added missing requires suspend-scripts

* Fri Aug 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-3mdk
- ExclusiveArch: ia64 amd64 too

* Fri Aug 29 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- don't start if /proc/acpi/event isn't present

* Thu May 22 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.1-3mdk
- rebuild for new glibc/rpm, deal with installed but unpackaged files

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix manpage generation
- Fix rpmlint warnings

* Fri Aug  2 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.1-1mdk
- Version 1.0.1

* Tue Nov 20 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.0-1mdk
- First stable release 1.0.0.
- s/Copyright/License/
- add Epoch (previous version was 071100-7mdk)
- update URL
- remove BuildRequires: popt-devel, no longer needed

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 071100-7mdk
- noreplace on initscript
- use server macros

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-6mdk
- ExclusiveArch: x86 (for now)
- Much spec cleaning

* Fri Nov 03 2000 David BAUDENS <baudens@mandrakesoft.com> 071100-5mdk
- ExcludeArch: ppc at present time

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 071100-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 071100-3mdk
- little cleaning

* Thu Jul 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-2mdk
- Version 071100 (requires acpi interpreter from 2.4.0-test3 or later)

* Fri Jun 09 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 052200-1mdk
- Version 052200
- Uses configure script not manual make method.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 031700-5mdk
- Add alpha to ExcludeArch.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 031700-4mdk
- Replaced exclusivearch <shitload of x86> with ExcludeArch sparc sparc64

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 031700-3mdk
- exclusivearch x86

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-2mdk
- use percent-config for init.d startup script
- compress acpid.rc with bzip2

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-1mdk
- initial contribs version of acpid package
